import { jsx } from "react/jsx-runtime";
import { FileTsx as FileTsx$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const FileTsx = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "FileTsx", ...props, children: /* @__PURE__ */ jsx(FileTsx$1, { weight: variant }) });
  }
);
FileTsx.displayName = "FileTsx";
Object.assign(FileTsx, { isGdsIcon: true });
export {
  FileTsx
};
